From aec7c3d13e781dd8aa0405362431f2434e625f4a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Florent=20Thi=C3=A9ry?= <florent.thiery@ubicast.eu>
Date: Thu, 1 Jun 2017 10:34:07 +0200
Subject: [PATCH] detect if automatic security updates are enabled or not, refs
 #20851

---
 tests/test_apt.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/tests/test_apt.sh b/tests/test_apt.sh
index f8fdfe4f..809a3485 100755
--- a/tests/test_apt.sh
+++ b/tests/test_apt.sh
@@ -17,3 +17,10 @@ fi
 
 # Installation testing package sl
 apt-get update && apt-get install -y sl && apt-get remove -y sl
+
+if [ ! -f /etc/apt/apt.conf.d/20auto-upgrades ]; then
+    if [ ! -f /etc/apt/apt.conf.d/50unattended-upgrades ]; then
+        echo "Automatic security updates not enabled"
+        exit 1
+    fi
+fi
-- 
GitLab